> ## Documentation Index
> Fetch the complete documentation index at: https://www.vollna.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List auto bidding setups

> Retrieve a list of auto bidding setups with optional status filtering



## OpenAPI

````yaml get /auto-bidding/setups
openapi: 3.0.4
info:
  title: Vollna API
  description: API for managing Upwork profiles, proposals, results, and filters
  version: 1.0.0
servers:
  - url: https://api.vollna.com/v1
security: []
tags:
  - name: Profiles
    description: Manage Upwork profiles
  - name: Proposals
    description: Access and manage Upwork proposals
  - name: Results
    description: View monitoring results and projects
  - name: Filters
    description: Manage monitoring filters
  - name: Auto Bidding
    description: Manage auto bidding jobs and setups
paths:
  /auto-bidding/setups:
    get:
      tags:
        - Auto Bidding
      summary: List auto bidding setups
      description: Retrieve a list of auto bidding setups with optional status filtering
      parameters:
        - name: status
          in: query
          required: false
          schema:
            oneOf:
              - type: string
                enum:
                  - inactive
                  - active
                  - draft
                  - paused
              - type: integer
                enum:
                  - 0
                  - 1
                  - 2
                  - 3
          description: Filter setups by status
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AutoBiddingSetupsResponse'
        '400':
          description: Invalid status value
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - apiToken: []
components:
  schemas:
    AutoBiddingSetupsResponse:
      type: object
      properties:
        success:
          type: boolean
        count:
          type: integer
        setups:
          type: array
          items:
            $ref: '#/components/schemas/AutoBiddingSetup'
    Error:
      type: object
      properties:
        error:
          type: string
    AutoBiddingSetup:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        status:
          type: integer
        status_name:
          type: string
        filter:
          type: object
          properties:
            id:
              type: integer
              nullable: true
            name:
              type: string
              nullable: true
        bidding_template:
          type: object
          properties:
            id:
              type: integer
              nullable: true
            name:
              type: string
              nullable: true
        schedule:
          type: string
        schedule_label:
          type: string
        timezone:
          type: string
        bidding_delay_minutes:
          type: integer
        daily_proposals_limit:
          type: integer
        total_proposals_sent:
          type: integer
        proposals_sent_today:
          type: integer
        last_run_at:
          type: string
          nullable: true
        last_proposal_date:
          type: string
          nullable: true
        business_manager_id:
          type: string
          nullable: true
        subscription_id:
          type: integer
          nullable: true
        created_at:
          type: string
          nullable: true
        updated_at:
          type: string
          nullable: true
  securitySchemes:
    apiToken:
      type: apiKey
      name: X-API-TOKEN
      in: header
      description: API token for authentication

````